import request from '/@/utils/request';

/**
 * 分页查询学生会列表
 * @param query
 */
export const fetchList = (query?: any) => {
  return request({
    url: '/stuwork/stuunion/page',
    method: 'get',
    params: query
  });
};

/**
 * 获取详情
 * @param id
 */
export const getDetail = (id: string) => {
  return request({
    url: `/stuwork/stuunion/${id}`,
    method: 'get'
  });
};

/**
 * 编辑学生会
 * @param data
 */
export const editObj = (data: any) => {
  return request({
    url: '/stuwork/stuunion/edit',
    method: 'post',
    data
  });
};

